;;; ~/.doom.d/config.el -*- lexical-binding: t; -*-

;; Set font
(setq doom-font (font-spec :family "FuraCode NF" :size 12))
(pcase (system-name)
  ("zuk"
   ;; Wayland support for high HDPI scaling has some issues.
   ;; Increasing the font size is a working stopgap.
   (font-put doom-font :size 15))
)

(setq doom-localleader-key ",")

;; Have projectile automatically check code.
;(setq projectile-project-search-path '("~/src/" "~/Code/"))
(add-to-list 'projectile-project-search-path "~/src/")

(load! "+mail")
(load! "+org")
